<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [iceshrimp-sdk](./iceshrimp-sdk.md) &gt; [Stream](./iceshrimp-sdk.stream.md) &gt; [disconnectToChannel](./iceshrimp-sdk.stream.disconnecttochannel.md)

## Stream.disconnectToChannel() method

**Signature:**

```typescript
disconnectToChannel(connection: NonSharedConnection): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  connection | NonSharedConnection |  |

**Returns:**

void

